Subject: Re: [PATCH] MAINTAINERS: adjust MELLANOX ETHERNET INNOVA DRIVERS to TLS support removal

From: Jakub Kicinski <[email-masked]>
Date: Wed, 1 Jun 2022 12:26:18 -0700

On Wed, 1 Jun 2022 21:08:06 +0300 Leon Romanovsky wrote:
> On Wed, Jun 01, 2022 at 10:30:39AM -0700, Jakub Kicinski wrote:
> > > Thanks, we will submit it once net-next will be open.  
> > 
> > It should go via net FWIW.  
> 
> I'm slightly confused here.
> 
> According to net policy, the patches that goes there should have Fixes
> line, but Fixes lines are added for bugs [1].
> 
> This forgotten line in MAINTAINERS doesn't cause to any harm to
> users/developers.

Fair, maybe I worded it too strongly. I should have said something like
"FWIW it's okay for MAINTAINERS updates to go via net".

Documentation/ patches and MAINTAINERS are special, they can go into
net without a Fixes tag so that changes to get_maintainer output and
https://www.kernel.org/doc/html/latest/ propagate quickly.

> So when should I put Fixes line in netdev?
> 
> [1] https://lore.kernel.org/netdev/[email-masked]/